# `Qt6Declarative_jll.jl` (v6.7.1+2)

[![deps](https://juliahub.com/docs/Qt6Declarative_jll/deps.svg)](https://juliahub.com/ui/Packages/General/Qt6Declarative_jll/)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/33f6441739c5a7414a3db8faaf636da5518ae840/Q/Qt6Declarative/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `Qt6Declarative_jll.jl` have been built from these sources:

* compressed archive: https://download.qt.io/official_releases/qt/6.7/6.7.1/submodules/qtdeclarative-everywhere-src-6.7.1.tar.xz (SHA256 checksum: `81135c96ed2f599385b8a68c57f4f438dad193c62f946f5b200a321558fd9f1c`)
* compressed archive: https://github.com/roblabla/MacOSX-SDKs/releases/download/13.3/MacOSX13.3.sdk.tar.xz (SHA256 checksum: `e5d0f958a079106234b3a840f93653308a76d3dcea02d3aa8f2841f8df33050c`)
* compressed archive: https://sourceforge.net/projects/mingw-w64/files/mingw-w64/mingw-w64-release/mingw-w64-v10.0.0.tar.bz2 (SHA256 checksum: `ba6b430aed72c63a3768531f6a3ffc2b0fde2c57a3b251450dcf489a894f0894`)

## Platforms

`Qt6Declarative_jll.jl` is available for the following platforms:

* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc}` (`aarch64-linux-gnu-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc}` (`aarch64-linux-gnu-cxx11`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl}` (`aarch64-linux-musl-cxx03`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl}` (`aarch64-linux-musl-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc}` (`armv7l-linux-gnueabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc}` (`armv7l-linux-gnueabihf-cxx11`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl}` (`armv7l-linux-musleabihf-cxx03`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl}` (`armv7l-linux-musleabihf-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc}` (`i686-linux-gnu-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc}` (`i686-linux-gnu-cxx11`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl}` (`i686-linux-musl-cxx03`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl}` (`i686-linux-musl-cxx11`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc}` (`powerpc64le-linux-gnu-cxx03`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc}` (`powerpc64le-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc}` (`x86_64-linux-gnu-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl}` (`x86_64-linux-musl-cxx03`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)

## Dependencies

The following JLL packages are required by `Qt6Declarative_jll.jl`:

* [`Qt6Base_jll`](https://github.com/JuliaBinaryWrappers/Qt6Base_jll.jl)
* [`Qt6ShaderTools_jll`](https://github.com/JuliaBinaryWrappers/Qt6ShaderTools_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libqt6labsanimation`
* `LibraryProduct`: `libqt6labsfolderlistmodel`
* `LibraryProduct`: `libqt6labsqmlmodels`
* `LibraryProduct`: `libqt6labssettings`
* `LibraryProduct`: `libqt6labssharedimage`
* `LibraryProduct`: `libqt6labswavefrontmesh`
* `LibraryProduct`: `libqt6qml`
* `LibraryProduct`: `libqt6qmlcompiler`
* `LibraryProduct`: `libqt6qmlcore`
* `LibraryProduct`: `libqt6qmllocalstorage`
* `LibraryProduct`: `libqt6qmlmodels`
* `LibraryProduct`: `libqt6qmlnetwork`
* `LibraryProduct`: `libqt6qmlworkerscript`
* `LibraryProduct`: `libqt6qmlxmllistmodel`
* `LibraryProduct`: `libqt6quick`
* `LibraryProduct`: `libqt6quickcontrols2`
* `LibraryProduct`: `libqt6quickcontrols2basic`
* `LibraryProduct`: `libqt6quickcontrols2basicstyleimpl`
* `LibraryProduct`: `libqt6quickcontrols2fusion`
* `LibraryProduct`: `libqt6quickcontrols2fusionstyleimpl`
* `LibraryProduct`: `libqt6quickcontrols2imagine`
* `LibraryProduct`: `libqt6quickcontrols2imaginestyleimpl`
* `LibraryProduct`: `libqt6quickcontrols2impl`
* `LibraryProduct`: `libqt6quickcontrols2material`
* `LibraryProduct`: `libqt6quickcontrols2materialstyleimpl`
* `LibraryProduct`: `libqt6quickcontrols2universal`
* `LibraryProduct`: `libqt6quickcontrols2universalstyleimpl`
* `LibraryProduct`: `libqt6quickdialogs2`
* `LibraryProduct`: `libqt6quickdialogs2quickimpl`
* `LibraryProduct`: `libqt6quickdialogs2utils`
* `LibraryProduct`: `libqt6quickeffects`
* `LibraryProduct`: `libqt6quicklayouts`
* `LibraryProduct`: `libqt6quickparticles`
* `LibraryProduct`: `libqt6quickshapes`
* `LibraryProduct`: `libqt6quicktemplates2`
* `LibraryProduct`: `libqt6quicktest`
* `LibraryProduct`: `libqt6quickwidgets`
